#include <16F876A.h>
//#device ICD=TRUE
#device adc=8
#FUSES NOWDT //No Watch Dog Timer
#FUSES XT
#FUSES NOBROWNOUT
#FUSES NOLVP
#FUSES PUT

#use fast_io (A)
#use fast_io (B)
#use fast_io (C)
#use delay(clock=4000000)

#use i2c(Master,Slow,sda=PIN_C4,scl=PIN_C3,force_hw)
#use rs232(baud=9600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8,errors)

unsigned char sec,min,hour,dow,day,month,year;



void ShowInfo(void);
void Read10bytesFlash(void);


void main()
{
SET_TRIS_C(0b10011110);

while(1) 
 {//delay_ms(255);
 getch();
 Read10bytesFlash();
 }

}



void Read10bytesFlash(void)
{
unsigned char i;

    i2c_start();     // 
    i2c_write(0xA7); //  
    i=1;
	while(i<10)
		{putc(i2c_read());
		 i++;
		}

    i2c_stop();    
}

